libzypp 17.37.10

zyppng::DownloadWorkflow Namespace Reference

## Functions
AsyncOpRef< expected< zypp::ManagedFile > > | provideToCacheDir (AsyncCacheProviderContextRef cacheContext, ProvideMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)
expected< zypp::ManagedFile > | provideToCacheDir (SyncCacheProviderContextRef cacheContext, SyncMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)

## Function Documentation

## ◆ provideToCacheDir() [1/2]

AsyncOpRef< expected< zypp::ManagedFile > > zyppng::DownloadWorkflow::provideToCacheDir | ( | AsyncCacheProviderContextRef | cacheContext,
|  | ProvideMediaHandle | medium,
|  | zypp::Pathname | file,
|  | ProvideFileSpec | filespec )

Definition at line 209 of file downloadwf.cc.

## ◆ provideToCacheDir() [2/2]

expected< zypp::ManagedFile > zyppng::DownloadWorkflow::provideToCacheDir | ( | SyncCacheProviderContextRef | cacheContext,
|  | SyncMediaHandle | medium,
|  | zypp::Pathname | file,
|  | ProvideFileSpec | filespec )

Definition at line 214 of file downloadwf.cc.